# eric5.Plugins.VcsPlugins.vcsMercurial.HgMergeDialog

Module implementing a dialog to enter the data for a merge operation.

### Global Attributes

None

### Classes

HgMergeDialog | Class implementing a dialog to enter the data for a merge operation.

### Functions

None

## HgMergeDialog

Class implementing a dialog to enter the data for a merge operation.

### Derived from

QDialog, Ui_HgMergeDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgMergeDialog | Constructor
__updateOK | Private slot to update the OK button.
getParameters | Public method to retrieve the merge data.
on_bookmarkButton_toggled | Private slot to handle changes of the Bookmark select button.
on_bookmarkCombo_editTextChanged | Private slot to handle changes of the Bookmark combo.
on_branchButton_toggled | Private slot to handle changes of the Branch select button.
on_branchCombo_editTextChanged | Private slot to handle changes of the Branch combo.
on_idButton_toggled | Private slot to handle changes of the ID select button.
on_idEdit_textChanged | Private slot to handle changes of the ID edit.
on_tagButton_toggled | Private slot to handle changes of the Tag select button.
on_tagCombo_editTextChanged | Private slot to handle changes of the Tag combo.

### Static Methods

None

#### HgMergeDialog (Constructor)

HgMergeDialog(tagsList, branchesList, bookmarksList=None, parent=None)

Constructor

tagsList
  list of tags (list of strings)
branchesList
  list of branches (list of strings)
bookmarksList
  list of bookmarks (list of strings)
parent
  parent widget (QWidget)

#### HgMergeDialog.__updateOK

__updateOK()

Private slot to update the OK button.

#### HgMergeDialog.getParameters

getParameters()

Public method to retrieve the merge data.

Returns:
  tuple naming the revision and a flag indicating a forced merge (string, boolean)

#### HgMergeDialog.on_bookmarkButton_toggled

on_bookmarkButton_toggled(checked)

Private slot to handle changes of the Bookmark select button.

checked
  state of the button (boolean)

#### HgMergeDialog.on_bookmarkCombo_editTextChanged

on_bookmarkCombo_editTextChanged(txt)

Private slot to handle changes of the Bookmark combo.

txt
  text of the combo (string)

#### HgMergeDialog.on_branchButton_toggled

on_branchButton_toggled(checked)

Private slot to handle changes of the Branch select button.

checked
  state of the button (boolean)

#### HgMergeDialog.on_branchCombo_editTextChanged

on_branchCombo_editTextChanged(txt)

Private slot to handle changes of the Branch combo.

txt
  text of the combo (string)

#### HgMergeDialog.on_idButton_toggled

on_idButton_toggled(checked)

Private slot to handle changes of the ID select button.

checked
  state of the button (boolean)

#### HgMergeDialog.on_idEdit_textChanged

on_idEdit_textChanged(txt)

Private slot to handle changes of the ID edit.

txt
  text of the edit (string)

#### HgMergeDialog.on_tagButton_toggled

on_tagButton_toggled(checked)

Private slot to handle changes of the Tag select button.

checked
  state of the button (boolean)

#### HgMergeDialog.on_tagCombo_editTextChanged

on_tagCombo_editTextChanged(txt)

Private slot to handle changes of the Tag combo.

txt
  text of the combo (string)

Up